import 'package:flutter/material.dart';

import 'base_widget.dart';
import '../painter/arc_painter.dart';

/// 圆弧（包括圆）
class ArcWidget extends BaseWidget {
  /// 直径
  final double diameter;

  /// 开始角度
  final double startAngle;

  /// 间隔角度
  final double sweepAngle;

  /// [diameter] - 直径 <br/>
  /// [startAngle] - 开始角度 <br/>
  /// [sweepAngle] - 间隔角度 <br/>
  /// [color] - 颜色 <br/>
  /// [strokeWidth] - 画笔粗细
  ArcWidget(this.diameter,
      {this.startAngle = 0.0, this.sweepAngle = 360.0, Color color = Colors.blue, double strokeWidth = 1.0})
      : super(color: color, width: diameter, height: diameter, strokeWidth: strokeWidth);

  @override
  Widget build(BuildContext context) {
    return CustomPaint(
      size: Size(diameter, diameter),
      painter: ArcPainter(color: color, startAngle: startAngle, sweepAngle: sweepAngle),
    );
  }
}
